# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, flake-inputs, ... }:

{
  environment.systemPackages = with pkgs; [
    seatd
    #emacs-nox
    inetutils
    unzip
    buildah
    curl
    vim
    neovim
    wget
    sshfs
    dig
    gost
    elinks
    #dislocker
    #ntfs3g
    kubectl
    sops
    git
    bc
    pciutils
    usbutils
    file
    htop
    brightnessctl
    kubernetes-helm
    ripgrep
    bridge-utils
    nettools
    psmisc

    nixos-generators
  ];

  programs.mtr.enable = true;
  programs.tmux.enable = true;
}
