# Edit this configuration file to define what should be installed on
# your system.  Help is available in the configuration.nix(5) man page
# and in the NixOS manual (accessible by running ‘nixos-help’).

{ config, pkgs, lib, inputs, ... }:

let iface = import ../iface-templates.nix;
in {
  imports =
    [ # Include the results of the hardware scan.
      ../types/server.nix
    ];
  config = lib.mkMerge [
    (iface.bridge "lan0" "172.16.1.251/12" "172.16.1.1" "phy0" "50:9a:4c:49:cc:1b")
    (iface.dhcp "phy1" "98:b7:85:01:36:ec")
    (iface.dhcp "phy2" "98:b7:85:01:36:ed")
    (iface.dhcp "phy3" "98:b7:85:01:36:ee")
    (iface.dhcp "phy4" "98:b7:85:01:36:ef")
  ];

}
